Opened 7 years ago

Closed 7 years ago

#2186 closed defect (wontfix)

autoreconf fails with automake 1.12.2

Reported by: jinmei Owned by: UnAssigned
Priority: medium Milestone:
Component: build system Version:
Keywords: Cc:
CVSS Scoring: Parent Tickets:
Sensitive: no Defect Severity: N/A
Sub-Project: Core Feature Depending on Ticket:
Estimated Difficulty: 5 Add Hours to Ticket: 0
Total Hours: 0 Internal?: no

Description

Like this

configure.ac:7: installing './install-sh'
configure.ac:7: installing './missing'
Makefile.am:432: error: library used but 'RANLIB' is undefined
Makefile.am:432:   The usual way to define 'RANLIB' is to add 'AC_PROG_RANLIB'
Makefile.am:432:   to 'configure.ac' and run 'autoconf' again.
Makefile.am: installing './depcomp'
src/bin/bind10/Makefile.am:10: installing './py-compile'
src/lib/acl/Makefile.am:8: error: Libtool library used but 'LIBTOOL' is undefined
src/lib/acl/Makefile.am:8:   The usual way to define 'LIBTOOL' is to add 'LT_INIT'
src/lib/acl/Makefile.am:8:   to 'configure.ac' and run 'aclocal' and 'autoconf' again.
...repeat the same error in different places, and some other errors

I've not looked into it further, and not sure if it's only for my
local environment or generally the case for newer versions of
automake. But due to a recent security fix to automake
(http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3386)
I guess the use of newer versions of automake will be more common.
So it's better to investigate it.

Subtickets

Change History (3)

comment:1 Changed 7 years ago by vorner

It's probably something local to your system, this version is quite happy here (it doesn't produce any errors nor warnings).

comment:2 Changed 7 years ago by jinmei

I'll cancel this. I've updated the base OS and updated external packages, and then
the problem magically disappeared.

comment:3 Changed 7 years ago by jinmei

  • Resolution set to wontfix
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.